For the complete documentation index, see llms.txt. This page is also available as Markdown.

Verify Business Tax ID

This endpoint allows you to validate the Tax ID of different businesses using their registration number.

Tax ID Verification

POST {{baseurl}}/v2/api/verifications/ng/tax-id

Headers

Name
Type
Description

token*

String

API secret token

Request Body

Name
Type
Description

registrationNumber*

String

Company registration number with prefix (e.g., RC1234567, BN12345, IT67890, LP12345, LLP12345)

isSubjectConsent*

Boolean

Indicate subject has given consent. Must be true

{
    "registrationNumber": "RC00000000",
    "isConsent": true
}
{
    "success": true,
    "statusCode": 200,
    "message": "success",
    "data": {
        "id": "6936ea29bef8043f094809c8",
        "status": "found",
        "businessId": "61d880f1e8e15aaf24558f1a",
        "parentId": null,
        "isConsent": true,
        "type": "ng_company_tax_id_lookup",
        "searchTerm": "RC00000000",
        "name": "John Doe Inc",
        "registrationNumber": "RC00000000",
        "taxId": "0000000000000",
        "country": "NG",
        "requestedAt": "2025-12-08T15:09:30.202Z",
        "createdAt": "2025-12-08T15:09:30.374Z",
        "lastModifiedAt": "2025-12-08T15:09:30.374Z",
        "requestedBy": {
            "firstName": "API",
            "lastName": "User",
            "middleName": "",
            "id": "61d880f1e8e15aaf24558f1c"
        }
    },
    "links": []
}

Last updated

Was this helpful?